PipeWire 1.4.10

Loading...
Searching...
No Matches
pw_global_events Struct Reference
Implementation API » Global

Global events, use pw_global_add_listener. More...

`#include <pipewire/global.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The global is destroyed.
void(* | free )(void *data)
| The global is freed.
void(* | permissions_changed )(void *data, struct pw_impl_client *client, uint32_t old_permissions, uint32_t new_permissions)
| The permissions changed for a client.

## Detailed Description

Global events, use pw_global_add_listener.

## Field Documentation

## ◆ version

uint32_t pw_global_events::version

## ◆ destroy

void(* pw_global_events::destroy) (void *data)

The global is destroyed.

## ◆ free

void(* pw_global_events::free) (void *data)

The global is freed.

## ◆ permissions_changed

void(* pw_global_events::permissions_changed) (void *data, struct pw_impl_client *client, uint32_t old_permissions, uint32_t new_permissions)

The permissions changed for a client.

The documentation for this struct was generated from the following file:

- pipewire/global.h